cache_aligned_allocator.cpp File Reference
`#include "tbb/tbb_config.h"`
`#include "tbb/cache_aligned_allocator.h"`
`#include "tbb/tbb_allocator.h"`
`#include "tbb/tbb_exception.h"`
`#include "tbb_misc.h"`
`#include "dynamic_link.h"`
`#include <cstdlib>`
`#include <dlfcn.h>`
Include dependency graph for cache_aligned_allocator.cpp:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | DEBUG_SUFFIX

## Functions

static void * | tbb::internal::DummyMalloc (size_t size)
| Dummy routine used for first indirect call via MallocHandler. More...
static void | tbb::internal::DummyFree (void *ptr)
| Dummy routine used for first indirect call via FreeHandler. More...
static void * | tbb::internal::dummy_padded_allocate (size_t bytes, size_t alignment)
| Dummy routine used for first indirect call via padded_allocate_handler. More...
static void | tbb::internal::dummy_padded_free (void *ptr)
| Dummy routine used for first indirect call via padded_free_handler. More...
static void * | tbb::internal::padded_allocate (size_t bytes, size_t alignment)
static void | tbb::internal::padded_free (void *p)
void | tbb::internal::initialize_handler_pointers ()
| Initialize the allocation/free handler pointers. More...
void | tbb::internal::initialize_cache_aligned_allocator ()
| Defined in cache_aligned_allocator.cpp. More...
size_t __TBB_EXPORTED_FUNC | tbb::internal::NFS_GetLineSize ()
| Cache/sector line size. More...
void *__TBB_EXPORTED_FUNC | tbb::internal::NFS_Allocate (size_t n_element, size_t element_size, void *hint)
| Allocate memory on cache/sector line boundary. More...
void __TBB_EXPORTED_FUNC | tbb::internal::NFS_Free (void *)
| Free memory allocated by NFS_Allocate. More...
void *__TBB_EXPORTED_FUNC | tbb::internal::allocate_via_handler_v3 (size_t n)
| Allocates memory using MallocHandler. More...
void __TBB_EXPORTED_FUNC | tbb::internal::deallocate_via_handler_v3 (void *p)
| Deallocates memory using FreeHandler. More...
bool __TBB_EXPORTED_FUNC | tbb::internal::is_malloc_used_v3 ()
| Returns true if standard malloc/free are used to work with memory. More...

## Variables

static void *(* | tbb::internal::MallocHandler )(size_t size) = &DummyMalloc
| Handler for memory allocation. More...
static void(* | tbb::internal::FreeHandler )(void *pointer) = &DummyFree
| Handler for memory deallocation. More...
static void *(* | tbb::internal::padded_allocate_handler )(size_t bytes, size_t alignment) = &dummy_padded_allocate
| Handler for padded memory allocation. More...
static void(* | tbb::internal::padded_free_handler )(void *p) = &dummy_padded_free
| Handler for padded memory deallocation. More...
static const dynamic_link_descriptor | tbb::internal::MallocLinkTable []
| Table describing how to link the handlers. More...
static tbb::atomic< do_once_state > | tbb::internal::initialization_state
static size_t | tbb::internal::NFS_LineSize = 128

## Macro Definition Documentation

## DEBUG_SUFFIX

#define DEBUG_SUFFIX

Definition at line 93 of file cache_aligned_allocator.cpp.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.